Create receipt for a payment.

Create a receipt for a payment and optionally specify allocations per transaction.
In case of no allocations, a 'Simple receipt' will be created that can later be allocated to charge transactions.
The amounts of all allocations must be equal to the payment amount.
The transactions should not be fully allocated already
and the amount allocated should not be more than the remaining balance on the transaction.
All transactions not part of an invoice will be added to newly created invoice.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
allocations
array of objects | null
allocations
string | null

Public MFD POS check id (the checkId returned by the MFD Check API and carried on the pos_line_dimensions topic). When set, FDS allocates the payment to that check's posted transactions; mutually exclusive with allocations; requires paymentId.

number | null

Total posted for the check by the caller (items, taxes, fees, service charge, gratuities, minus check discounts), in the same units as allocation amounts. When set, FDS allocates only once the check's posted lines add up to it (409 until then) and rejects payments above the open balance of a complete check. Requires checkId.

int64 | null

Id of the transaction associated to a payment. This parameter is mutually exclusive with paymentId.

int64 | null

Id of the payment. This parameter is mutually exclusive with transactionId.

int64 | null

Id of invoice that receipt should be applied to. Ignored if allocations are presented.

int64 | null
boolean
Defaults to false

At the moment this can only be set to True on Italy to skip the integration, for italy this case is needed to avoid Printing the Receipt

boolean
Defaults to false

Indicates this is a handwritten receipt created during POS unavailability. Only allowed for properties with Fiskaltrust integration enabled.

int64 | null
deprecated

Ignored. The document is attributed to the authenticated user.

int64
required
≥ 1
string
enum
required

Kind of the source entity

Allowed:
recipient
object
manualRecipient
object
Headers
int64
required
≥ 1

Property id

Responses

404

Payment or payment transaction not found.

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json